package com.mortals.xhx.daemon.applicationservice;

import com.mortals.framework.springcloud.service.IApplicationStartedService;
import com.mortals.xhx.base.system.user.service.UserService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class StartedService implements IApplicationStartedService {

    @Autowired
    private UserService userService;


    @Override
    public void start() {
        log.info("开始服务..[配置已加载完成，并且所有框架都已经初始化]");

        //初始执行同步用户与皮肤任务

    }

    @Override
    public void stop() {
        log.info("停止服务..");
    }

    @Override
    public int getOrder() {
        return 10;
    }

}
